#
# spec file for package python-graphql-relay
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-graphql-relay
Version:        3.2.0
Release:        2.6
Summary:        Relay implementation for Python
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/graphql-python/graphql-relay-py
Source:         https://files.pythonhosted.org/packages/source/g/graphql-relay/graphql-relay-%{version}.tar.gz
BuildRequires:  %{python_module graphql-core >= 3.2}
BuildRequires:  %{python_module promise}
BuildRequires:  %{python_module pytest >= 6.2}
BuildRequires:  %{python_module pytest-asyncio}
BuildRequires:  %{python_module pytest-describe}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-promise
Requires:       (python-graphql-core >= 3.2)
BuildArch:      noarch
%python_subpackages

%description
Relay Library for GraphQL Python.

This is a library to allow the easy creation of Relay-compliant servers using
the GraphQL Python reference implementation of a GraphQL server.

%prep
%setup -q -n graphql-relay-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/graphql[-_]relay*/

%changelog
* Thu Jul  6 2023 ecsos <ecsos@opeensuse.org>
- Add %%{?sle15_python_module_pythons}
* Thu Oct  6 2022 John Vandenberg <jayvdb@gmail.com>
- Update dependency version of graphql-core
* Tue Oct  4 2022 Daniel Garcia <daniel.garcia@suse.com>
- Update to version 3.2.0
  * Switch to GraphQL-core 3.2
- Remove python-six dependency
* Sun May 22 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 3.1.5
  * Re-add deprecated module 'arrayconnection' for backwards
    compatibility
  * Export all useful names at the top level
  * 'from_global_id' now works same as in relay-js
  * unbase64 now returns an empty string on errors
  * Use standard base64 implementation
  * array_connection returns all elements if cursors are on the outside
  * Allow mutations to return mappings
  * hasPrevious/NextPage should not be optional
  * Use same parameter names as in graphql/graphql_sync
  * Avoid null payload in mutation
  * Remove non-null restriction on clientMutationId field definitions
  * Consistently use snake_case for filenames
  * Do not raise an error when no clientMutationId is provided
  * Added missing description for nodes field
  * Added description to the pagination arguments
  * Python 3.10 is now supported.
- Update to version 3.1.0
  * Compatible with graphql-core version 3.1.
  * Implement SizedSliceable protocol
  * Define protocols for connection type overrides
  * Encode IDs using URL- and filesystem-safe alphabet
  * Python 3.9 is now supported.
* Sat Jun  6 2020 John Vandenberg <jayvdb@gmail.com>
- Update to v3.0.0
* Wed Dec  4 2019 Andreas Hasenkopf <ahasenkopf@suse.com>
- New package for v2.0.0
